
/**
 * 
 * @author lorenz schauer
 * 
 * Programm zum Anzeigen eines Schachbretts aus char-Zeichen
 * Aus Javakurs fr Anfnger, Einheit 9 vom 21.12.2017 
 *
 */
public class Schachbrett {

	//Main-Methode
	public static void main(String[] args) {
		
		
		// 8x8 Array erzeugen mit Datentyp char
		char[][] schachbrett = new char[8][8];
		
		// Array durchlaufen!
		// 2-Dimensionen erfordern 2 for-Schleifen
		for(int zeile = 0; zeile<schachbrett.length; zeile++){
			for(int spalte=0; spalte<schachbrett[zeile].length; spalte++){
				
				// Im normalfall wird das Feld mit dem charzeichen 0 belegt
				schachbrett[zeile][spalte] ='0';
				
				// Falls die Iteration in der ersten bzw. in der letzten zeile angekommen ist...
				if(zeile==0||zeile==7){
				
					//.. prfe die Spalte
					switch(spalte){
					
						// Wenn ganz links oder ganz rechts, dann setze einen Turm T
						case 0:
						case 7:
							schachbrett[zeile][spalte]='T';
							break; // Break nicht vergessen! 
							
						// Wenn in der 2. bzw. in der 7. Spalte, dann setze Springer S
						case 1:
						case 6:
							schachbrett[zeile][spalte]='S';
							break;
						
						// Wenn in der 3. bzw. 6. Spalte, dann setze Lufer L
						case 2:
						case 5:
							schachbrett[zeile][spalte]='L';
							break;
							
						// Wenn in der 4. Spalte, dann setze Dame D
						case 3:
							schachbrett[zeile][spalte]='D';
							break;
						
						// Falls in der 5. Spalte, dann setze den Knig K
						case 4:
							schachbrett[zeile][spalte]='K'; 
							// Hier knnte noch ein break stehen, brauchen wir aber nicht zwingend, da switch-case hier eh zu Ende ist. 
					}
					
				}// Ende der ersten if-Abfrage
				
				
				//Falls ich in der 2. oder 7. Zeile bin..
				if(zeile==1||zeile==6){
					
					//... dann werden die Bauern in jede Spalte gesetzt:
					schachbrett[zeile][spalte]='B';
				}
				
				// Am Ende noch die Ausgabe
				System.out.print(schachbrett[zeile][spalte]+" ");
			}
			
			// Und nach jeder Zeile, den Zeilenumbruch nicht vergessen, sonst schaut es nicht so schn aus. 
			System.out.print("\n");
		}

	}

}